Page MenuHomePhabricator

It should be possible to view the desktop history page in AMC
Closed, ResolvedPublic3 Story Points

Description

Before we can do anything with the history page we will need to make it accessible

acceptance criteria

  • there is a feature flag that allows us to disable history page override in mobile
  • the feature flag is disabled by default (we will enable after we've skinned it)
  • When feature flag is enabled history page is not substituted with mobile counterpart
  • When feature flag is enable watchlist continues to be substituted with mobile counterpart

QA steps

Visit https://reading-web-staging.wmflabs.org/wiki/Timed_test_2

With AMC enabled:

Click the history link
I should see the history page from desktop in all its unstyled messy glory (there is a form at the top of the page)

With AMC disabled

Click the history link
I should not see the form at the top of the page

anonymous

Click the history link
I should not see the form at the top of the page

developer notes

The override happens in a hook where config and amc can be checked

Earlier attempt: https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/MobileFrontend/+/487071/

We should retain all other special page optimisations and limit our changes to the SpecialMobileHistory::shouldUseSpecialHistory function.

QA Results

StatusDetails
✅ PassedT219874#5096192

Event Timeline

Jdlrobson created this task.Apr 2 2019, 2:20 PM
Jdlrobson moved this task from Incoming to Upcoming on the Readers-Web-Backlog board.
Jdlrobson updated the task description. (Show Details)
ovasileva triaged this task as High priority.Apr 2 2019, 3:19 PM
Jdlrobson updated the task description. (Show Details)Apr 2 2019, 3:59 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson set the point value for this task to 3.Apr 2 2019, 4:12 PM
Ammarpad updated the task description. (Show Details)Apr 2 2019, 4:22 PM

Change 501069 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/extensions/MobileFrontend@master] Add option to view desktop history page on mobile

https://gerrit.wikimedia.org/r/501069

Change 501344 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Consult "shouldUseSpecialHistory" when making history page link

https://gerrit.wikimedia.org/r/501344

Change 501069 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Add option to use desktop history page on mobile

https://gerrit.wikimedia.org/r/501069

Change 501344 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Consult "shouldUseSpecialHistory" when making history page link

https://gerrit.wikimedia.org/r/501344

Jdlrobson reassigned this task from nray to Edtadros.Apr 8 2019, 10:30 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: nray.

Test Result

Status: ✅ PASS
OS: iOS
Browser: Chrome browser on (iPhone XS Max)

Test Artifact(s):

QA steps

Visit https://reading-web-staging.wmflabs.org/wiki/Timed_test_2

With AMC enabled:
Click the history link
I should see the history page from desktop in all its unstyled messy glory (there is a form at the top of the page)

With AMC disabled
Click the history link
I should not see the form at the top of the page

anonymous
Click the history link
I should not see the form at the top of the page

Edtadros updated the task description. (Show Details)Apr 9 2019, 4:31 AM
Edtadros reassigned this task from Edtadros to ovasileva.Apr 9 2019, 4:34 AM
Edtadros added a subscriber: Edtadros.

@Jdlrobson these are foolproof QA steps! Thanks!

ovasileva closed this task as Resolved.Apr 9 2019, 11:19 AM

Looks good. Yay!!